import {AiOutlineClose} from 'react-icons/ai';

export default function Modal({ showModal, closeModal, data }) {

    window.addEventListener('click',((e) => {
        console.log(e);
        if(!e.target.closest('.modal__box') && !e.target.closest('.table-report tr td')){
            closeModal();
        }
    }))
  return (
    <div className={`modal ${showModal ? "modal__show" : ""}`}>
      <div className="modal__box">
        <div className="modal__head">
          <h3 className="modal__head_title">modal</h3>
          <button className="modal__head_close" onClick={closeModal}>
            <AiOutlineClose />
          </button>
        </div>

        <div className="modal__body">body</div>
      </div>
    </div>
  );
}
